jQuery(document).ready(function($) {

jQuery.fn.codeAddress = function () {		

	  var map = new ymaps.Map("geocodepreview", {
		center: [56.326944,44.0075],
		zoom: 16		
		});		
		
		map.controls.add("smallZoomControl");
		

	  var address = $('input[name="ymapsgeocoderaddress"]').attr('value');

	  	ymaps.geocode(address, {results: 1}).then(function (res) {
		var firstGeoObject = res.geoObjects.get(0);
		if(!firstGeoObject) {
		alert(address + " not found");
		} else {
		coords = firstGeoObject.geometry.getCoordinates();
		$('input[name="ymapsgeocoderlatlng"]').attr('value',coords);	
		map.panTo(coords);
		marker = new ymaps.Placemark(coords,{},{preset: "twirl#redIcon", draggable: true});   
		marker.events.add("dragend", function (e) {
		coords =  this.geometry.getCoordinates();
		$('input[name="ymapsgeocoderlatlng"]').attr('value',coords);	
		},marker);	
		map.geoObjects.add(marker);
		}
		});
		
	}	

	$('#geocode').bind('click', function() {
		$(document).codeAddress();
	});

	

});